Bug 1663313 - hplip-3.18.6-10.fc28.x86_64 unresolvable dependencies
Summary: hplip-3.18.6-10.fc28.x86_64 unresolvable dependencies
Keywords:
Status: CLOSED DUPLICATE of bug 1661922
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 28
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 19:23 UTC by Jonathan Nicol
Modified: 2019-01-04 08:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-04 08:22:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Jonathan Nicol 2019-01-03 19:23:28 UTC
Description of problem:
hplip and components cannot be updated

Version-Release number of selected component (if applicable): hplip-3.18.6-11.fc28.x86_64


How reproducible: always

Steps to Reproduce:
1.dnf update
2.
3.

Actual results:
 Problem 1: cannot install the best update candidate for package hplip-3.18.6-10.fc28.x86_64
  - nothing provides libnetsnmp.so.35()(64bit) needed by hplip-3.18.6-11.fc28.x86_64
 Problem 2: cannot install the best update candidate for package hplip-libs-3.18.6-10.fc28.x86_64
  - nothing provides libnetsnmp.so.35()(64bit) needed by hplip-libs-3.18.6-11.fc28.x86_64
 Problem 3: cannot install the best update candidate for package libsane-hpaio-3.18.6-10.fc28.x86_64
  - nothing provides libnetsnmp.so.35()(64bit) needed by libsane-hpaio-3.18.6-11.fc28.x86_64
 Problem 4: package hplip-libs-3.18.6-10.fc28.x86_64 requires hplip-common(x86-64) = 3.18.6-10.fc28, but none of the providers can be installed
  - cannot install both hplip-common-3.18.6-11.fc28.x86_64 and hplip-common-3.18.6-10.fc28.x86_64
  - problem with installed package hplip-libs-3.18.6-10.fc28.x86_64
  - cannot install the best update candidate for package hplip-common-3.18.6-10.fc28.x86_64
  - nothing provides libnetsnmp.so.35()(64bit) needed by hplip-libs-3.18.6-11.fc28.x86_64



Expected results: successful update


Additional info:

Comment 1 Zdenek Dohnal 2019-01-04 08:22:25 UTC
Hi Jonathan,

thank you for reporting the issue! It is actually known issue as https://bugzilla.redhat.com/show_bug.cgi?id=1661922 , which is solved by today's update, so '$ sudo dnf -y upgrade' fixes it now. I'm sorry for caused problems.

*** This bug has been marked as a duplicate of bug 1661922 ***


Note You need to log in before you can comment on or make changes to this bug.